#
# spec file for package yast2-core-clients (Version 2.4.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake e2fsprogs-devel gpp libgpp liby2 liby2-devel libycp libycp-devel ydoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs e2fsprogs-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool liby2 liby2-devel libycp libycp-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim ydoc

Name:         yast2-core-clients
Copyright:    (c) 2000 SuSE GmbH
Group:		System Environment/YaST
Summary:      YaST2 - binary client components for installation
Version:      2.4.9
Release:      50
Source0:      yast2-core-clients-2.4.9.tar.bz2
%ifnarch s390x && s390
Source1:      parted-1.4.14.tar.bz2
Patch1:       Makefile.am.diff
Patch2:       libparted.diff
Patch3:       resize.diff
Patch4:       libparted_type_fix.diff
Patch5:       device_label_fix.diff
Patch6:       bootsector_label_fix.diff
%endif
%ifarch ia64
Source2:      define.pl
Patch7:       define.diff
%endif

%description
This package contains the binary client components needed by
YaST2 during installation

SuSE series: yast

%package devel
Summary:      YaST2 - linkfiles for client components
Version:      2.4.9
Release:      50
Group:        Development/Libraries
Provides:	y2clients
Obsoletes:	y2clients

%description devel
This package contains the linkfiles and documentation for
YaST2 client components.

SuSE series: yast

%prep
%ifnarch s390x && s390
%setup -n yast2-core-clients-2.4.9 -b 1
pushd ../parted-1.4.14
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
popd
%else
%setup -n yast2-core-clients-2.4.9
%endif
%ifarch ia64
pushd ../parted-1.4.14
%patch7 -p1
cp %{S:2} .
chmod a+x define.pl
./define.pl
popd
%endif

%build
%ifnarch s390x && s390
cd ../parted-1.4.14
aclocal
libtoolize --force --automake --copy
autoheader
automake --add-missing --copy
autoconf
%ifarch s390x
export CXXFLAGS="$RPM_OPT_FLAGS -fsigned-char"
export CFLAGS="$RPM_OPT_FLAGS -fsigned-char"
%else
export CXXFLAGS="$RPM_OPT_FLAGS"
export CFLAGS="$RPM_OPT_FLAGS"
%endif
%{?suse_update_config:%{suse_update_config -f}}
autoconf
./configure --disable-nls --without-readline --enable-all-static --sbindir=/usr/lib/YaST2/bin
make
%endif
cd ../yast2-core-clients-2.4.9
aclocal
libtoolize --force --automake --copy
autoheader
automake --add-missing --copy
autoconf
%ifarch s390x
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -fsigned-char"
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -fsigned-char"
%else
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%endif
%{?suse_update_config:%{suse_update_config -f}}
./configure
make
make check

%install
%ifnarch s390x && s390
(cd ../parted-1.4.14; make install-strip)
%endif
make install-strip
strip --strip-debug /usr/lib/YaST2/plugin/libpy2makefs.so.2.0.0
strip --strip-debug /usr/lib/YaST2/plugin/libpy2packager.so.2.0.0
strip --strip-debug /usr/lib/YaST2/plugin/libpy2parted.so.2.0.0

%files
%ifnarch s390x && s390
/usr/lib/YaST2/bin/parted
%endif
/usr/lib/YaST2/plugin/libpy2packager.so.*
/usr/lib/YaST2/plugin/libpy2makefs.so.*
/usr/lib/YaST2/plugin/libpy2parted.so.*

%files devel
/usr/lib/YaST2/plugin/libpy2packager.so
/usr/lib/YaST2/plugin/libpy2packager.la
/usr/lib/YaST2/plugin/libpy2makefs.so
/usr/lib/YaST2/plugin/libpy2makefs.la
%ifnarch s390x && s390
/usr/lib/YaST2/plugin/libpy2parted.so
/usr/lib/YaST2/plugin/libpy2parted.la
%endif
%dir /usr/share/doc/packages/yast2-core-clients
/usr/share/doc/packages/yast2-core-clients/*

%changelog -n yast2-core-clients
* Mon Sep 03 2001 - kkaempf@suse.de
- path given to packger might not end in "/", add it.
* Fri Aug 31 2001 - arvin@suse.de
- fixed to compile on ia64
* Fri Aug 10 2001 - kkaempf@suse.de
- run mkreiserfs with "-f -f" instead of "-q"
* Fri Aug 10 2001 - kkaempf@suse.de
- distinguish between Fat16 and Fat32 when calling mkdosfs
* Fri Jul 06 2001 - arvin@suse.de
- makefs expects a list of strings as options for all filesystems
* Fri Jun 29 2001 - kkaempf@suse.de
- add Jfs support to makefs
* Wed Jun 27 2001 - tom@suse.de
- added two further patches to handle gcc 3.0 warning paranoia.
* Wed Jun 27 2001 - kkaempf@suse.de
- ignore parted on s390/s390x
* Wed Jun 27 2001 - tom@suse.de
- fix parted to compile on 64bit architectures
* Fri Jun 22 2001 - tom@suse.de
- switched to new parted 1.4.14
  applied diffs anew
  renamed Makefile.diff to Makefile.am.diff
  added platform patch for ia64 and axp
* Thu Jun 21 2001 - kkaempf@suse.de
- adapt to new automake/autoconf
- version 2.4.0
* Fri May 18 2001 - kkaempf@suse.de
- add Xfs support to makefs
- #6958 Parameters to rpm scripts
  #6538 missing log messages, if cd filesystem is corrupt
* Thu May 10 2001 - schwab@suse.de
- Include configure patch for parted.
* Thu May 03 2001 - kkaempf@suse.de
- run mkreiserfs with "-q" to get old output style
* Wed May 02 2001 - schubi@suse.de
- no more: RPM returned an error (#7424)
* Wed Apr 25 2001 - kkaempf@suse.de
- drop "-O none" from mkext2fs call
* Tue Apr 10 2001 - arvin@suse.de
- fixed tiny memory leak in makefs agent
* Mon Apr 09 2001 - arvin@suse.de
- implemented option blocksize as third option for ext2
* Tue Apr 03 2001 - arvin@suse.de
- implemented calling of mkdosfs in makefs agent
* Tue Apr 03 2001 - arvin@suse.de
- merged makefs and makereiserfs agent to makefs
* Fri Mar 23 2001 - arvin@suse.de
- moved documentation to packages/yast2-core-clients
* Fri Mar 09 2001 - arvin@suse.de
- Strip debugging information from plugins in package.
* Wed Mar 07 2001 - kkaempf@suse.de
- package rename y2clients -> yast2-core-clients
* Fri Jan 26 2001 - arvin@suse.de
- package split y2client / y2client-devel
* Thu Jan 18 2001 - schubi@suse.de
- line-parsing of rpm output
  generate files in /var/adm/notify/warnings
* Fri Jan 12 2001 - tom@suse.de
- update to parted version 1.4.6
* Wed Jan 03 2001 - tom@suse.de
- update to parted version 1.4.5
* Mon Dec 18 2000 - schubi@suse.de
- Improved user-logging for packager
* Fri Dec 01 2000 - tom@suse.de
- update to parted version 1.4.4
* Wed Nov 29 2000 - kkaempf@suse.de
- respect target root in packager for logfiles
* Tue Nov 28 2000 - kkaempf@suse.de
- create packager plugin with correct version info
- install package documentation
* Wed Nov 22 2000 - tom@suse.de
- update to SuSE patched version of parted-1.4.2
* Tue Nov 21 2000 - kkaempf@suse.de
- update parted to 1.4.2
* Thu Nov 16 2000 - kkaempf@suse.de
- add versioning to lib
* Thu Nov 16 2000 - kkaempf@suse.de
- split library and plugins, provide testsuites
* Wed Nov 08 2000 - kkaempf@suse.de
- ext2fs_d -> e2fsprogs-devel
* Wed Nov 08 2000 - kkaempf@suse.de
- link with libutil
* Tue Nov 07 2000 - kkaempf@suse.de
- initial parted client
* Wed Oct 25 2000 - kkaempf@suse.de
- Group set
* Fri Oct 13 2000 - kkaempf@suse.de
- new packager (update, search)
  GNU parted integration
  version 2.1.0
* Thu Jun 29 2000 - kkaempf@suse.de
- fix package remove in rpm call
  version 2.0.5
* Thu Jun 08 2000 - schwab@suse.de
- Add %%{suse_update_config}.
* Thu Jun 08 2000 - kkaempf@suse.de
- faster rpm install
  version 2.0.4
* Wed Jun 07 2000 - kkaempf@suse.de
- re-enable real rpm call
  version 2.0.3
* Tue Jun 06 2000 - kkaempf@suse.de
- change call syntax for progress bar report
* Tue May 30 2000 - kkaempf@suse.de
- fix neededforbuild
* Thu May 18 2000 - kkaempf@suse.de
- install to .../plugin
  bump version to 2.0.1
* Wed Apr 26 2000 - kkaempf@suse.de
- Initial version based on yast2 from SuSE 6.4
